List running generations
curl --request GET \
--url https://open.skills.video/api/v1/generations/running \
--header 'Authorization: Bearer <token>'import requests
url = "https://open.skills.video/api/v1/generations/running"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://open.skills.video/api/v1/generations/running', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import Foundation
let url = URL(string: "https://open.skills.video/api/v1/generations/running")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))[
{
"id": "gen_123",
"status": "IN_PROGRESS",
"usage": {
"total": 20,
"subscription": 20,
"permanent": 0
},
"input": {
"prompt": "a cat",
"aspect_ratio": "1:1",
"resolution": "1024x1024",
"n": 1
}
}
]{
"error": "INVALID_INPUT",
"code": "INVALID_INPUT",
"message": "Missing request body"
}{
"error": "UNAUTHORIZED",
"code": "UNAUTHORIZED",
"message": "Unauthorized"
}{
"error": "WORKSPACE_FORBIDDEN",
"code": "WORKSPACE_FORBIDDEN",
"message": "You do not have access to this workspace."
}{
"error": "NOT_FOUND",
"code": "NOT_FOUND",
"message": "Not Found"
}{
"error": "INVALID_INPUT",
"code": "INVALID_INPUT",
"message": "'prompt' parameter is required"
}Generation Result
List running generations
GET
/
generations
/
running
List running generations
Return generation tasks that are still queued or in progress for the current workspace scope.
Authorizations
API Key for API endpoints
Query Parameters
Optional workspace document id override.
Maximum number of tasks to return. Default 50.
Required range:
1 <= x <= 100Response
Queued or running generation tasks
⌘I